Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 691700 - dev-util/lttng-ust-2.10.1 : ../.../ust-tid.h:38:21: error: static declaration of gettid follows non-static declaration
Summary: dev-util/lttng-ust-2.10.1 : ../.../ust-tid.h:38:21: error: static declaration...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Yixun Lan
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.30
  Show dependency tree
 
Reported: 2019-08-07 17:12 UTC by Toralf Förster
Modified: 2020-03-15 16:53 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.05 KB, text/plain)
2019-08-07 17:12 UTC, Toralf Förster
Details
dev-util:lttng-ust-2.10.1:20190807-165857.log (dev-util:lttng-ust-2.10.1:20190807-165857.log,26.70 KB, text/plain)
2019-08-07 17:12 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,182.58 KB, text/plain)
2019-08-07 17:13 UTC, Toralf Förster
Details
environment (environment,61.60 KB, text/plain)
2019-08-07 17:13 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.26 KB, application/x-bzip)
2019-08-07 17:13 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,13.04 KB, application/x-bzip)
2019-08-07 17:13 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,22.89 KB, application/x-bzip)
2019-08-07 17:13 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-08-07 17:12:53 UTC
                 from backend.h:32,
                 from ring_buffer_backend.c:29:
../include/lttng/ust-tid.h:38:21: error: static declaration of ‘gettid’ follows non-static declaration
   38 | static inline pid_t gettid(void)
      |                     ^~~~~~
In file included from /usr/include/unistd.h:1170,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-libressl-20190803-113207

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.1.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6 (fallback)
  [2]   python2.7 (fallback)
  [3]   pypy (fallback)
  [4]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.12.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpvO dev-util/lttng-ust
--- Invalid atom in /etc/portage/package.accept_keywords/00unstable: sys-libs/glibc-2.30
Comment 1 Toralf Förster gentoo-dev 2019-08-07 17:12:56 UTC
Created attachment 586048 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-08-07 17:12:59 UTC
Created attachment 586050 [details]
dev-util:lttng-ust-2.10.1:20190807-165857.log
Comment 3 Toralf Förster gentoo-dev 2019-08-07 17:13:01 UTC
Created attachment 586052 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2019-08-07 17:13:04 UTC
Created attachment 586054 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2019-08-07 17:13:07 UTC
Created attachment 586056 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-08-07 17:13:10 UTC
Created attachment 586058 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2019-08-07 17:13:13 UTC
Created attachment 586060 [details]
temp.tbz2
Comment 8 Sergei Trofimovich gentoo-dev 2020-02-17 20:18:48 UTC
Fixed in dev-util/lttng-ust-2.11.0 by renamign gettid to lttng_gettid.